{% extends 'client/base.html.twig' %}

{% block title %}Store Market{% endblock title %}

{% block content %}
	<div class="container">
		<div class="row">
			<div class="col">
				<div class="page-description d-flex align-items-center">
					<div class="page-description-content flex-grow-1">
						<h1>Store</h1>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			{% for study in studies %}
				<div class="col-xl-4">
					<div class="card widget widget-stats">
						<div class="card-body">
							<div class="widget-stats-container d-flex">
								<div
										class="widget-stats-icon widget-stats-icon-warning"
								>
									<i class="material-icons-outlined">upload_file</i>
								</div>
								<div class="widget-stats-content flex-fill">
										<span class="widget-stats-title">
										  {{ study.name }}
										</span>
										<span class="widget-stats-description">
										  {{ study.description }}
										</span>
										{% if study.id in list_shop_actor or study.id in list_pre_exist_report%}
											<button class="btn" disabled >Achat déja effectuée</button>
										{% else %}
											<button class="btn" >
												<a style="text-decoration: none" href="{{ path('client_store_add_study', {'id': study.id}) }}">Acheter cette étude</a>
											</button>
										{% endif %}
								</div>
							</div>
						</div>
					</div>
				</div>
			{% endfor %}
		</div>
	</div>
{% endblock content %}